Skip to main content

Get list of task runs

GET 

/v2/actor-tasks/:actorTaskId/runs

Get a list of runs of a specific task. The response is a list of objects, where each object contains essential information about a single task run.

The endpoint supports pagination using the limit and offset parameters, and it does not return more than a 1000 array elements.

By default, the records are sorted by the startedAt field in ascending order; therefore you can use pagination to incrementally fetch all records while new ones are still being created. To sort the records in descending order, use the desc=1 parameter. You can also filter runs by status (available statuses).

Request

Path Parameters

    actorTaskId string required

    Task ID or a tilde-separated owner's username and task's name.


    Example: janedoe~my-task

Query Parameters

    offset double

    Number of items that should be skipped at the start. The default value is 0.


    Example: 0
    limit double

    Maximum number of items to return. The default value as well as the maximum is 1000.


    Example: 1000
    desc boolean

    If true or 1 then the objects are sorted by the startedAt field in descending order. By default, they are sorted in ascending order.


    Example: true
    status string[]

    Single status or comma-separated list of statuses, see (available statuses). Used to filter runs by the specified statuses only.


    Example: ["SUCCEEDED"]

Status 200

Response Headers
  • X-Apify-Pagination-Offset

    The offset of the first item in the current page.

  • X-Apify-Pagination-Limit

    The maximum number of items returned per page.

  • X-Apify-Pagination-Count

    The number of items returned in the current page.

  • X-Apify-Pagination-Total

    The total number of items available.

  • X-Apify-Pagination-Desc

    Whether the items are sorted in descending order.

{
"data": {
"total": 1,
"offset": 0,
"limit": 1000,
"desc": false,
"count": 1,
"items": [
{
"id": "HG7ML7M8z78YcAPEB",
"actId": "HDSasDasz78YcAPEB",
"userId": "7sT5jcggjjA9fNcxF",
"actorTaskId": "KJHSKHausidyaJKHs",
"status": "READY",
"startedAt": "2019-11-30T07:34:24.202Z",
"finishedAt": "2019-12-12T09:30:12.202Z",
"buildId": "HG7ML7M8z78YcAPEB",
"buildNumber": "0.0.2",
"buildNumberInt": 10000,
"meta": {
"origin": "DEVELOPMENT",
"clientIp": "string",
"userAgent": "string",
"scheduleId": "string",
"scheduledAt": "2024-07-29T15:51:28.071Z"
},
"usageTotalUsd": 0.2,
"defaultKeyValueStoreId": "sfAjeR4QmeJCQzTfe",
"defaultDatasetId": "3ZojQDdFTsyE7Moy4",
"defaultRequestQueueId": "so93g2shcDzK3pA85"
}
]
}
}